.TH "siggen::HashBase" 3 "Wed Oct 9 2019" "Version 1.0" "SigGen" \" -*- nroff -*-
.ad l
.nh
.SH NAME
siggen::HashBase \- base for cryptographic functions  

.SH SYNOPSIS
.br
.PP
.PP
\fC#include <HashBase\&.h>\fP
.PP
Inherited by \fBsiggen::HashMD5\fP\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "virtual size_t \fBGetSignatureSize\fP () const =0"
.br
.RI "returns size of the signature "
.ti -1c
.RI "virtual void \fBCalculateSignature\fP (char const *data, size_t size, char *digest) const =0"
.br
.RI "calculates signature of the block of data "
.in -1c
.SS "Static Public Member Functions"

.in +1c
.ti -1c
.RI "static std::unique_ptr< \fBHashBase\fP > \fBFactory\fP (std::string const &name)"
.br
.RI "creates hash according to specified name "
.in -1c
.SH "Detailed Description"
.PP 
base for cryptographic functions 
.PP
Definition at line 10 of file HashBase\&.h\&.
.SH "Member Function Documentation"
.PP 
.SS "siggen::HashBase::CalculateSignature (char const * data, size_t size, char * digest) const\fC [pure virtual]\fP"

.PP
calculates signature of the block of data 
.PP
\fBParameters\fP
.RS 4
\fIdata\fP buffer with data for calculation of signature 
.br
\fIsize\fP size of the data 
.br
\fIdigest\fP resulting signature 
.RE
.PP

.PP
Implemented in \fBsiggen::HashMD5\fP\&.
.SS "std::unique_ptr< \fBHashBase\fP > siggen::HashBase::Factory (std::string const & name)\fC [static]\fP"

.PP
creates hash according to specified name 
.PP
\fBParameters\fP
.RS 4
\fIname\fP specification of the type of hash to be created 
.RE
.PP
\fBReturns\fP
.RS 4
created hash class or throws an exception 
.RE
.PP
\fBExceptions\fP
.RS 4
\fIstd::runtime_error\fP 
.RE
.PP

.PP
Definition at line 11 of file HashBase\&.cpp\&.
.SS "siggen::HashBase::GetSignatureSize () const\fC [pure virtual]\fP"

.PP
returns size of the signature 
.PP
\fBReturns\fP
.RS 4
size of the signature 
.RE
.PP

.PP
Implemented in \fBsiggen::HashMD5\fP\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for SigGen from the source code\&.
